Index: trunk/SophyaLib/Samba/alm.h
===================================================================
--- trunk/SophyaLib/Samba/alm.h	(revision 757)
+++ trunk/SophyaLib/Samba/alm.h	(revision 758)
@@ -1,59 +1,9 @@
 #ifndef ALM_SEEN
 #define ALM_SEEN
+
 #include "nbrandom.h"
 #include "nbmath.h"
+#include "triangmtx.h"
 #include "tvector.h"
-#include "pexceptions.h"
-/*! Class for inferior triangular matrix (base class for the class Alm) */
-template <class T>
-class TriangularMatrix 
-  {
-    
-  public :
-
-TriangularMatrix()   {};
-  /* instanciate a triangular matrix from the number of rows */
-TriangularMatrix(int rowSize)  : long_diag_((uint_4)rowSize) {elem_.ReSize((uint_4) (rowSize*(rowSize+1)/2) ); };
-TriangularMatrix(const TriangularMatrix<T>& a,  bool share=false)  : elem_(a.elem_, share),  long_diag_(a.long_diag_) {;}
-/*! resize the matrix with a new number of rows */
-inline void ReSizeRow(int rowSize) 
-  {
-    long_diag_=(uint_4)rowSize;
-    elem_.ReSize(long_diag_*(long_diag_+1)/2);
-  }
- inline void SetTemp(bool temp=false) const {elem_.SetTemp(temp);}
-
-inline TriangularMatrix<T>& operator = (const TriangularMatrix<T>& a)
-{
-  elem_=a.elem_;
-  long_diag_ = a.long_diag_;
-  return *this;
-}
-inline T& operator()(int l, int m) 
-  {
-      return  elem_(adr_ij(l,m));
-  }
-inline T const& operator()(int l, int m) const 
-  {
-      return *(elem_.Begin()+ adr_ij(l,m));
-  }
- inline  int_4  rowNumber() const {return (int_4)long_diag_;}
-  private: 
- /*! compute the address of an element in the single array representing the matrix */
-inline uint_4 adr_ij(int i,int j) const 
-{
-  int adr= i*(i+1)/2+j;
-  if ( adr >= elem_.Size() || adr <0 )
-{
- cout << " attention depassement dans triangularMatrix " << endl;
- cout << " l= " << i << " m= " << j << " tableau reserve longueur " << elem_.Size() << endl; 
-}
-  return(i*(i+1)/2+j);
-}
-
- uint_4 long_diag_;
- NDataBlock<T> elem_;
-
-  };
 
 
Index: trunk/SophyaLib/Samba/sambainit.cc
===================================================================
--- trunk/SophyaLib/Samba/sambainit.cc	(revision 757)
+++ trunk/SophyaLib/Samba/sambainit.cc	(revision 758)
@@ -1,35 +1,14 @@
-// Classe d'initialisation du module Outils++ 
-#include <unistd.h>
+// Classe d'initialisation du module Samba 
 
 #include "sambainit.h"
-#include "ppersist.h"
-#include "objfio.h"
-#include "spherethetaphi.h"
-#include "spheregorski.h"
-#include "spherepos.h"
 
 int SambaInitiator::FgInit = 0;
 
 SambaInitiator::SambaInitiator()
-  : PeidaOutilsInitiator()
+  : SkyMapInitiator()
 {
   SambaInitiator::FgInit++;
   if (SambaInitiator::FgInit > 1)  return;
-
-//   Enregistrement des classes PPersist du modules Outils++
-  
-  PPRegister(FIO_SphereCoordSys);
-
-  PPRegister(FIO_SphereThetaPhi<float>);
-  PPRegister(FIO_SphereThetaPhi<double>);
-  PPRegister(FIO_SphereThetaPhi< complex<float> >);
-  PPRegister(FIO_SphereThetaPhi< complex<double> >);
-
-  PPRegister(FIO_SphereGorski<float>);
-  PPRegister(FIO_SphereGorski<double>);
-  PPRegister(FIO_SphereGorski< complex<float> >);
-  PPRegister(FIO_SphereGorski< complex<double> >);
-
-
+  ntinit = new NToolsInitiator;
 }
 
@@ -37,4 +16,5 @@
 {
   SambaInitiator::FgInit--;
+  if (FgInit < 1)  delete ntinit;
 }
 
Index: trunk/SophyaLib/Samba/sambainit.h
===================================================================
--- trunk/SophyaLib/Samba/sambainit.h	(revision 757)
+++ trunk/SophyaLib/Samba/sambainit.h	(revision 758)
@@ -7,9 +7,11 @@
 
 // Classe d''initialisation pour les modules de PEIDA++
-#include "outilsinit.h"
+#include "skymapinit.h"
+#include "ntoolsinit.h"
 
-class SambaInitiator : public PeidaOutilsInitiator {
+class SambaInitiator : public SkyMapInitiator {
 private:
   static int FgInit;
+  NToolsInitiator * ntinit; 
 public:
   			SambaInitiator();
@@ -17,6 +19,6 @@
 };
 
-#undef PeidaInit
-#define PeidaInit() SambaInitiator _sambainitiator_
+#undef SophyaInit
+#define SophyaInit() SambaInitiator sambainitiator
 
 #endif
